Bug 2049799 - Incremental update with --propagate-all-composites makes new CVV but with no new content
Summary: Incremental update with --propagate-all-composites makes new CVV but with no ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Content Views
Version: 6.10.0
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: 6.11.0
Assignee: Ian Ballou
QA Contact: Griffin Sullivan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-02-02 17:43 UTC by Ian Ballou
Modified: 2022-07-05 14:33 UTC (History)
4 users (show)

Fixed In Version: tfm-rubygem-katello-4.3.0.38-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-07-05 14:32:43 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 34383 0 Normal Closed Incremental update with --propagate-all-composites makes new CVV but with no new content 2022-05-13 18:26:39 UTC
Foreman Issue Tracker 34905 0 Normal Closed override_components don't make it to composite CV publish step 2022-05-16 17:36:21 UTC
Red Hat Product Errata RHSA-2022:5498 0 None None None 2022-07-05 14:33:00 UTC

Description Ian Ballou 2022-02-02 17:43:44 UTC
Description of problem:
When a composite content view is using a certain version of a component cv (not latest), and that component cv version is incrementally updated with the --propagate-all-composites flag, a new incremental cv version will be created on the composite but it will receive no new content.  The component cv will get a new incremental version as it should, but it also gets the proper content.

Version-Release number of selected component (if applicable):

Satellite 6.10+

How reproducible:
Always

Steps to Reproduce:
1. Sync some repo
2. Create two component CVs with filters to remove some content and publish
3. Create a composite CV that uses only the version published in step (2)
4. Incrementally update a component CV version from step 2 with --propagate-all-composites=true
5. See that the composite gets a new version,  but the new content is not there. It will have the same content count as the previous version.

Actual results:
The new incremental composite CV version gets none of the incremental content

Expected results:
The new incremental composite CV version should get the content specified in the incremental update command

Additional info:

This is a regression from Satellite 6.9.

Also, in 6.10+, there is no longer a report that the composite CV got a new version in hammer.

Comment 1 Ian Ballou 2022-02-02 17:46:07 UTC
Created redmine issue https://projects.theforeman.org/issues/34383 from this bug

Comment 2 Bryan Kearney 2022-04-08 00:04:45 UTC
Moving this bug to POST for triage into Satellite since the upstream issue https://projects.theforeman.org/issues/34383 has been resolved.

Comment 3 Griffin Sullivan 2022-05-02 14:15:07 UTC
Failed ON QA for 6.11 snap 18.5 on RHEL 7

Incremental update with --propagate-all-composites does not add packages to composite content view.

Steps to Reproduce:
1. Sync some repo
2. Create two component CVs with filters to remove some content and publish
3. Create a composite CV that uses only the version published in step (2)
4. Incrementally update a component CV version from step 2 with --propagate-all-composites=true

Expected Results:
Content added from incremental update on component CV should be added to composite CV.

Actual Results:
Content was only added to the component CV but not the composite.

# hammer content-view version incremental-update --propagate-all-composites=true --content-view-version-id 11 --errata-ids RHEA-2012:0002
[.........................................................................................] [100%]
Content View: componentcv version 1.1
Added Content:
  Errata:
        RHEA-2012:0002
  Packages:
        bear-4.1-1.noarch
        dolphin-3.10.232-1.noarch
        lion-0.4-1.noarch
        penguin-0.9.1-1.noarch
        shark-0.1-1.noarch
        stork-0.12-2.noarch
        tiger-1.0-4.noarch
        whale-0.2-1.noarch
        wolf-9.4-2.noarch

Content View: compositecv version 1.1
Added Content:

I can also see in the UI that the composite CV does not have any new packages added to it, while the component CV does.

Comment 4 Ian Ballou 2022-05-02 15:22:39 UTC
Hi Griffin,

Can you share with us what your CV filters and repositories were on the component CVs? And which CV versions you told the composite CV to use?

Comment 8 Griffin Sullivan 2022-05-23 13:56:31 UTC
Verified in 6.11 snap 21 on RHEL 7

--propagate-all-composites properly adds content and a new version to the composite content view.

Steps to Reproduce:
1. Sync some repo
2. Create two component CVs with filters to remove some content and publish
3. Create a composite CV that uses only the version published in step (2)
4. Incrementally update a component CV version from step 2 with --propagate-all-composites=true

Expected Results:
Component and composite CVs get a new version and content from incremental update.

Actual Results:
Component and composite CVs get a new version and content from incremental update.


Notes:
Here's the output from my run:

# hammer content-view version incremental-update --propagate-all-composites=true --content-view-version-id 2 --errata-ids RHEA-2012:0002
[................................................................................................................................] [100%]
Content View: bear version 1.1
Added Content:
  Errata:
        RHEA-2012:0002
  Packages:
        bear-4.1-1.noarch
        dolphin-3.10.232-1.noarch
        lion-0.4-1.noarch
        penguin-0.9.1-1.noarch
        shark-0.1-1.noarch
        stork-0.12-2.noarch
        tiger-1.0-4.noarch
        whale-0.2-1.noarch
        wolf-9.4-2.noarch

Content View: compview version 1.1
Added Content:
  Errata:
        RHEA-2012:0002
  Packages:
        bear-4.1-1.noarch
        dolphin-3.10.232-1.noarch
        lion-0.4-1.noarch
        shark-0.1-1.noarch
        stork-0.12-2.noarch
        tiger-1.0-4.noarch
        whale-0.2-1.noarch
        wolf-9.4-2.noarch

Comment 11 errata-xmlrpc 2022-07-05 14:32:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: Satellite 6.11 Release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2022:5498


Note You need to log in before you can comment on or make changes to this bug.